Bug 729926 - Review Request: jboss-httpserver - JBoss httpserver
Summary: Review Request: jboss-httpserver - JBoss httpserver
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 10:06 UTC by Marek Goldmann
Modified: 2011-08-16 12:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-16 12:59:57 UTC
pingou: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2011-08-11 10:06:02 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/httpserver/1/httpserver.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/httpserver/1/httpserver-1.0.0-0.1.Beta1.fc17.src.rpm
Description: This package contains JBoss httpserver

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3265572

$ rpmlint ./httpserver.spec 
./httpserver.spec: W: invalid-url Source0: httpserver-1.0.0.Beta1.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint httpserver-1.0.0-0.1.Beta1.fc17.src.rpm 
httpserver.src: I: enchant-dictionary-not-found en_US
httpserver.src: W: name-repeated-in-summary C httpserver
httpserver.src: W: invalid-url Source0: httpserver-1.0.0.Beta1.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Pierre-YvesChibon 2011-08-11 14:34:15 UTC
[!] rpmlint must be run on every package.
    jboss-httpserver.src: W: invalid-url Source0: jboss-httpserver-1.0.0.Beta1.tar.xz
    jboss-httpserver.noarch: W: no-documentation
    jboss-httpserver-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
    3 packages and 0 specfiles checked; 0 errors, 3 warnings.
        -> That is using the jpackage-utils from rawhide

[X] The package must be named according to the Package Naming Guidelines.

[X] The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.
    Since the name httpserver is very generic and this is a jboss related
    package the name jboss-httpserver make things clearer.

[X] The package must meet the Packaging Guidelines.

[X] The package must be licensed with a Fedora approved license and meet the
      Licensing Guidelines.

[!] The License field in the package spec file must match the actual license.
   License is a mixture of GPLv2 only, GPLv2+ and GPLv2 only with exception

[NA] If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s) for
     the package must be included in %doc.

[X] The spec file must be written in American English.

[X] The spec file for the package MUST be legible.

[X] The sources used to build the package must match the upstream source, as
      provided in the spec URL.
    source from the src.rpm: 
        f753544e067b93b0d72166689296212a695b9606  ../rpmbuild/SOURCES/jboss-httpserver-1.0.0.Beta1.tar.xz
    source regenerated using the comment in the spec:
        f753544e067b93b0d72166689296212a695b9606  jboss-httpserver-1.0.0.Beta1.tar.xz

[X] The package MUST successfully compile and build into binary rpms on at
     least one primary architecture.
    compiled fine on F15 x86_64
    koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3265967

[NA] If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.

[X] All build dependencies must be listed in BuildRequires, except for any
     that are listed in the exceptions section of the Packaging Guidelines ;
     inclusion of those as BuildRequires is optional.

[NA] The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[NA] Every binary RPM package (or subpackage) which stores shared library
      files(not just symlinks) in any of the dynamic linker's default paths,
      must call ldconfig in %post and %postun.

[X] Packages must NOT bundle copies of system libraries.

[NA] If the package is designed to be relocatable, the packager must state
      this fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.

[X] A package must own all directories that it creates. If it does not create
     a directory that it uses, then it should require a package which does
     create that directory.

[X] A Fedora package must not list a file more than once in the spec file's
      %files listings. 

[X] Permissions on files must be set properly. Executables should be set with
     executable permissions, for example. Every %files section must include a
     %defattr(...) line.

[!] Each package must consistently use macros.

[X] The package must contain code, or permissable content.

[X] Large documentation files must go in a -doc subpackage.
    That's the -javadoc package here

[NA] If a package includes something as %doc, it must not affect the runtime
     of the application. To summarize: If it is in %doc, the program must run
     properly if it is not present.

[NA] Header files must be in a -devel package.

[NA] Static libraries must be in a -static package.

[NA] If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.

[NA] In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.

[NA] Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.

[NA] Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.

[X] Packages must not own files or directories already owned by other
      packages.

[X] All filenames in rpm packages must be valid UTF-8.


Notes:
- For the record, you already asked upstream to provide a copy of the license he uses 
- Please remove the empty %doc in your %files section
- Please change your cp to install, in order to be consistent.
- Please change the license tag to "GPLv2 and GPLv2 with exceptions"

Since these are more or less minor details and easy to fix, I am sure you can fix them before
import.

This package is APPROVED

Comment 3 Marek Goldmann 2011-08-12 09:10:22 UTC
Thank you for review! I'll fix above notes while importing to SCM.

New Package SCM Request
=======================
Package Name:      jboss-httpserver
Short Description: JBoss httpserver
Owners:            goldmann
Branches:          f16

Comment 4 Gwyn Ciesla 2011-08-12 12:40:49 UTC
Git done (by process-git-requests).

Comment 5 Marek Goldmann 2011-08-16 12:59:57 UTC
Thank you, closing.


Note You need to log in before you can comment on or make changes to this bug.